Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::node_impl_util::event_listener_base< Node >::event_listener_equal_to Struct Reference

A model of Adaptable Predicate. More...

List of all members.

## Public Member Functions

| event_listener_equal_to (const node_event_listener &listener)
| Construct.
bool | operator() (const typename event_listener_equal_to::argument_type &arg) const
| Test whether the `event_listener` dereferenced from `arg.second` is the same one the function object was constructed with.

## Private Attributes

const node_event_listener * | listener_
| The `event_listener` to test against.

## Detailed Description

### template<typename Node>
struct openvrml::node_impl_util::event_listener_base< Node >::event_listener_equal_to

A model of Adaptable Predicate.

Model of
  Adaptable Predicate

## Constructor & Destructor Documentation

template<typename Node>

openvrml::node_impl_util::event_listener_base< Node >::event_listener_equal_to::event_listener_equal_to | ( | const node_event_listener & | listener | ) | `[inline, explicit]`

Construct.

Parameters:

  `[in]` | listener | the `event_listener`.

## Member Function Documentation

template<typename Node>

bool openvrml::node_impl_util::event_listener_base< Node >::event_listener_equal_to::operator() | ( | const typename event_listener_equal_to::argument_type & | arg | ) | const`[inline]`

Test whether the `event_listener` dereferenced from `arg.second` is the same one the function object was constructed with.

## Member Data Documentation

template<typename Node>

const openvrml::event_listener * openvrml::node_impl_util::event_listener_base< Node >::event_listener_equal_to::listener_ `[private]`

The `event_listener` to test against.